Skip to main content
GET
/
v1
/
companies
/
{id}
Get a company
curl --request GET \
  --url https://api.particle.pro/v1/companies/{id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "identifiers": {
    "cik": "<string>",
    "domain": "<string>",
    "entity_id": "<string>",
    "entity_slug": "<string>",
    "qid": "<string>",
    "ticker": "<string>"
  },
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Path Parameters

id
string
required

Company slug (e.g., 'apple', 'tesla'), domain (e.g., 'apple.com'), or ID

Response

OK

id
string
required

Unique identifier

name
string
required

Company name

description
string

Company description

identifiers
object

External identifiers

updated_at
string<date-time>

Last updated timestamp